//
//  AdTimingBidBanner.h
//  AdTimingBidiming SDK
//
//  Copyright 2017 AdTimingBid Inc. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>
#import "AdTimingBidBannerDelegate.h"

NS_ASSUME_NONNULL_BEGIN

/// Banner Ad Size
typedef NS_ENUM(NSInteger, AdTimingBidBannerType) {
    AdTimingBidBannerTypeDefault = 0,       ///ad size: 320 x 50
    AdTimingBidBannerTypeLarge = 1,         ///ad size: 320 x 100
    AdTimingBidBannerTypeLeaderboard = 2,   ///ad size: 728x90
    AdTimingBidBannerTypeSmart = 3,
};


/// Banner Ad layout attribute
typedef NS_ENUM(NSInteger, AdTimingBidBannerLayoutAttribute) {
    AdTimingBidBannerLayoutAttributeTop = 0,
    AdTimingBidBannerLayoutAttributeLeft = 1,
    AdTimingBidBannerLayoutAttributeBottom = 2,
    AdTimingBidBannerLayoutAttributeRight = 3,
    AdTimingBidBannerLayoutAttributeHorizontally = 4,
    AdTimingBidBannerLayoutAttributeVertically = 5
};

/// A customized UIView to represent a AdTimingBidiming ad (banner ad).
@interface AdTimingBidBanner : UIView

@property(nonatomic, readonly, nullable) NSString *placementID;

/// the delegate
@property (nonatomic, weak)id<AdTimingBidBannerDelegate> delegate;

/// The banner's ad placement ID.
- (NSString*)placementID;

- (instancetype)initWithBannerType:(AdTimingBidBannerType)type placementID:(NSString *)placementID;

- (instancetype)initWithBannerType:(AdTimingBidBannerType)type placementID:(NSString *)placementID rootViewController:rootViewController;

/// set the banner position.
- (void)addLayoutAttribute:(AdTimingBidBannerLayoutAttribute)attribute constant:(CGFloat)constant;

///load ad with bid payload
- (void)loadAndShowWithPayLoad:(NSString*)bidPayload;
@end

NS_ASSUME_NONNULL_END
