//
//  AdTimingBiddingResponse.h
//  AdTimingBidSDK
//
//  Created by ylm on 2020/4/13.
//  Copyright © 2020 AdTiming. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "AdTimingBidErrorCode.h"

NS_ASSUME_NONNULL_BEGIN

@interface AdTimingBidResponse : NSObject

@property (nonatomic, assign) BOOL success;
@property (nonatomic, assign) double price; //price
@property (nonatomic, strong, nullable) NSString *currency; //currency
@property (nonatomic, strong, nullable) NSString *payload; //payload
@property (nonatomic, strong) NSError *error; //bid error
 

- (instancetype)initWithResponseData:(NSDictionary*)data;
- (instancetype)initWithError:(NSError*)error;

- (void)notifyWin;
- (void)notifyLossWithReasonCode:(AdTimingBidLossedReasonCode)lossReasonCode;

@end

NS_ASSUME_NONNULL_END
