//
//  AdTimingBidRewardedVideoDelegate.h
//  AdTimingBid
//
//  Created by ylm on 2019/9/12.
//  Copyright © 2019 AdTiming. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@protocol AdTimingBidRewardedVideoDelegate <NSObject>

@optional

/// Invoked when a rewarded video did load.

- (void)AdTimingBidRewardedVideoDidLoad:(NSString *)placementID;

/// Sent after an rewarded video fails to load the ad.
- (void)AdTimingBidRewardedVideoDidFailToLoad:(NSString *)placementID withError:(NSError *)error;

/// Sent immediately when a rewarded video is opened.
- (void)AdTimingBidRewardedVideoDidOpen:(NSString *)placementID;

/// Sent immediately when a rewarded video starts to play.
- (void)AdTimingBidRewardedVideoPlayStart:(NSString *)placementID;

/// Send after a rewarded video has been completed.
- (void)AdTimingBidRewardedVideoPlayEnd:(NSString *)placementID;

/// Sent after a rewarded video has been clicked.
- (void)AdTimingBidRewardedVideoDidClick:(NSString *)placementID;

/// Sent after a user has been granted a reward.
- (void)AdTimingBidRewardedVideoDidReceiveReward:(NSString *)placementID;

/// Sent after a rewarded video has been closed.
- (void)AdTimingBidRewardedVideoDidClose:(NSString *)placementID;

/// Sent after a rewarded video has failed to play.
- (void)AdTimingBidRewardedVideoDidFailToShow:(NSString *)placementID withError:(NSError *)error;

@end

NS_ASSUME_NONNULL_END
