//
//  AdTimingBidInterstitialDelegate.h
//  AdTimingBid
//
//  Created by M on 2019/6/14.
//  Copyright © 2019 AdTiming. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@protocol AdTimingBidInterstitialDelegate <NSObject>

@optional


/// Invoked when a interstitial  did load.
- (void)AdTimingBidInterstitialDidLoad:(NSString *)placementID;

/// Sent after an  interstitial fails to load the ad.
- (void)AdTimingBidInterstitialDidFailToLoad:(NSString *)placementID withError:(NSError *)error;

- (void)AdTimingBidInterstitialDidOpen:(NSString *)placementID;

/// Sent immediately when a interstitial video starts to play.
- (void)AdTimingBidInterstitialDidShow:(NSString *)placementID;

/// Sent after a interstitial video has been clicked.
- (void)AdTimingBidInterstitialDidClick:(NSString *)placementID;

/// Sent after a interstitial video has been closed.
- (void)AdTimingBidInterstitialDidClose:(NSString *)placementID;

/// Sent after a interstitial video has failed to play.
- (void)AdTimingBidInterstitialDidFailToShow:(NSString *)placementID withError:(NSError *)error;

@end

NS_ASSUME_NONNULL_END
