//
//  AdTimingBidNative.h
//  AdTimingBid SDK
//
//  Copyright 2017 AdTimingBid Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "AdTimingBidAdBase.h"
#import "AdTimingBidNativeDelegate.h"

NS_ASSUME_NONNULL_BEGIN

/// The AdTimingBidNative represents ad metadata to allow you to construct custom ad views.
@interface AdTimingBidNative : AdTimingBidAdBase

/// the delegate
@property(nonatomic, weak, nullable) id<AdTimingBidNativeDelegate> delegate;

/// The native's ad placement ID.
- (NSString*)placementID;

/// This is a method to initialize an AdTimingBidNative.
/// placementID: Typed access to the id of the ad placement.
- (instancetype)initWithPlacementID:(NSString*)placementID;

/// This is a method to initialize an AdTimingBidNative.
/// placementID: Typed access to the id of the ad placement.
/// viewController: The view controller that will be used to present the ad and the app store view.
- (instancetype)initWithPlacementID:(NSString*)placementID rootViewController:(UIViewController*)viewController;

///load ad with bid payload
- (void)loadAdWithPayLoad:(NSString*)bidPayload;
@end

NS_ASSUME_NONNULL_END
