//
//  AdTimingBidNativeDelegate.h
//  AdTimingBid SDK
//
//  Copyright 2017 AdTimingBid Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

@class AdTimingBidNative;
@class AdTimingBidNativeAd;

NS_ASSUME_NONNULL_BEGIN

/// The methods declared by the AdTimingBidNativeDelegate protocol allow the adopting delegate to respond to messages from the AdTimingBidNative class and thus respond to operations such as whether the native ad has been loaded.
@protocol AdTimingBidNativeDelegate<NSObject>

@optional

/// Sent when an AdTimingBidNative has been successfully loaded.
- (void)AdTimingBidNative:(AdTimingBidNative*)native didLoad:(AdTimingBidNativeAd*)nativeAd;

/// Sent when an AdTimingBidNative is failed to load.
- (void)AdTimingBidNativeDidFailToLoad:(AdTimingBidNative*)native withError:(NSError*)error;

@end

NS_ASSUME_NONNULL_END
