//
//  AdTimingBidRequest.h
//  AdTimingBidSDK
//
//  Created by ylm on 2020/4/13.
//  Copyright © 2020 AdTiming. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "AdTimingBidErrorCode.h"
#import "AdTimingBidResponse.h"

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSInteger, AdTimingBidFormat) {
    AdTimingBidFormatBanner,
    AdTimingBidFormatNative,
    AdTimingBidFormatRewardedVideo,
    AdTimingBidFormatInterstitial,
};

@interface AdTimingBidRequest : NSObject

+ (void)getAudienceNetworkBidForAppID:(NSString *)appID
                          placementID:(NSString *)placementID
                           platformID:(NSString *)platformID
                             adFormat:(AdTimingBidFormat)bidAdFormat
                     responseCallback:(void(^)(AdTimingBidResponse *bidResponse))callback;

@end

NS_ASSUME_NONNULL_END
