//
//  AdTimingBidVideoAd.h
//  AdTimingBid SDK
//
//  Copyright 2017 AdTimingBid Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "AdTimingBidSingletonInterface.h"
#import "AdTimingBidRewardedVideoDelegate.h"

NS_ASSUME_NONNULL_BEGIN

/// A modal view controller to represent a rewarded video ad. This is a full-screen ad shown in your application.
@interface AdTimingBidRewardedVideo : AdTimingBidSingletonInterface

/// Returns the singleton instance.
+ (instancetype)sharedInstance;

/// Add delegate
- (void)addDelegate:(id<AdTimingBidRewardedVideoDelegate>)delegate;

/// Remove delegate
- (void)removeDelegate:(id<AdTimingBidRewardedVideoDelegate>)delegate;

///load ad with bid payload
- (void)loadWithPlacementID:(NSString*)placementID payLoad:(NSString*)bidPayload;

/// Indicates whether the rewarded video is ready to show ad.
- (BOOL)isReady:(NSString*)placementID;


- (void)showAdFromRootViewController:(UIViewController *)viewController placementID:(NSString *)placementID;


- (void)showAdFromRootViewController:(UIViewController *)viewController placementID:(NSString *)placementID extraParams:(NSString*)extraParams;

@end

NS_ASSUME_NONNULL_END
